Package fr.gouv.vitam.logbook.common.server.database.collections

# Enum Class LogbookLifeCycleMongoDbName

java.lang.Object
java.lang.Enum<LogbookLifeCycleMongoDbName>
fr.gouv.vitam.logbook.common.server.database.collections.LogbookLifeCycleMongoDbName

All Implemented Interfaces:
  `Serializable`, `Comparable<LogbookLifeCycleMongoDbName>`, `Constable`

public enum LogbookLifeCycleMongoDbName extends Enum<LogbookLifeCycleMongoDbName>
Enum with all possible logbook life cycle parameters
Use to set parameter value and to check emptiness or nullity

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `agentIdentifier`
  agentIdentifier
  `eventDateTime`
  eventDateTime
  `eventDetailData`
  eventDetailData
  `eventIdentifier`
  eventIdentifier
  `eventIdentifierProcess`
  eventIdentifierProcess
  `eventType`
  eventType
  `eventTypeProcess`
  eventTypeProcess
  `objectIdentifier`
  objectIdentifier
  `outcome`
  outcome
  `outcomeDetail`
  outcomeDetail
  `outcomeDetailMessage`
  outcomeDetailMessage
  `parentEventIdentifier`
  parentEventIdentifier

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `getDbname()`
  `static final LogbookLifeCycleMongoDbName`
  `getFromDbname(String name)`
  `static final LogbookLifeCycleMongoDbName`
  `getLogbookLifeCycleMongoDbName(LogbookParameterName name)`
  `final LogbookParameterName`
  `getLogbookParameterName()`
  `static LogbookLifeCycleMongoDbName`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LogbookLifeCycleMongoDbName[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### eventIdentifier

    public static final LogbookLifeCycleMongoDbName eventIdentifier
    eventIdentifier

  - ### parentEventIdentifier

    public static final LogbookLifeCycleMongoDbName parentEventIdentifier
    parentEventIdentifier

  - ### eventType

    public static final LogbookLifeCycleMongoDbName eventType
    eventType

  - ### eventDateTime

    public static final LogbookLifeCycleMongoDbName eventDateTime
    eventDateTime

  - ### eventIdentifierProcess

    public static final LogbookLifeCycleMongoDbName eventIdentifierProcess
    eventIdentifierProcess

  - ### eventTypeProcess

    public static final LogbookLifeCycleMongoDbName eventTypeProcess
    eventTypeProcess

  - ### outcome

    public static final LogbookLifeCycleMongoDbName outcome
    outcome

  - ### outcomeDetail

    public static final LogbookLifeCycleMongoDbName outcomeDetail
    outcomeDetail

  - ### outcomeDetailMessage

    public static final LogbookLifeCycleMongoDbName outcomeDetailMessage
    outcomeDetailMessage

  - ### agentIdentifier

    public static final LogbookLifeCycleMongoDbName agentIdentifier
    agentIdentifier

  - ### objectIdentifier

    public static final LogbookLifeCycleMongoDbName objectIdentifier
    objectIdentifier

  - ### eventDetailData

    public static final LogbookLifeCycleMongoDbName eventDetailData
    eventDetailData

- ## Method Details

  - ### values

    public static LogbookLifeCycleMongoDbName[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LogbookLifeCycleMongoDbName valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getDbname

    public final String getDbname()
    Returns:
      the corresponding dbname

  - ### getLogbookParameterName

    public final LogbookParameterName getLogbookParameterName()
    Returns:
      the corresponding `LogbookParameterName`

  - ### getLogbookLifeCycleMongoDbName

    public static final LogbookLifeCycleMongoDbName getLogbookLifeCycleMongoDbName(LogbookParameterName name)
    Parameters:
      `name` - as `LogbookParameterName`
    Returns:
      the corresponding `LogbookLifeCycleMongoDbName`

  - ### getFromDbname

    public static final LogbookLifeCycleMongoDbName getFromDbname(String name)
    Parameters:
      `name` - as db field name
    Returns:
      the corresponding `LogbookLifeCycleMongoDbName`